import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getAnnouncement = createAsyncThunk(
  "GET_ANNOUNCEMENT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("announcements/?total=true");
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const getUserAnnouncement = createAsyncThunk(
  "GET_ANNOUNCEMENT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`announcements/?role=${d}`);
    dispatch(LOADING_END());
    return { data, status };
  }
);
